package com.supwisdom.institute.backend.admin.bff.utils;

import com.supwisdom.institute.backend.common.core.transmit.user.User;
import com.supwisdom.institute.backend.common.core.transmit.user.UserContext;

public class CurrentUserUtil {
  
  public static User currentUser() {
    User user = UserContext.getUser();
    
    if (user == null) {
      return User.ANONYMOUS;
    }
    
    return user;
  }
  
  public static String currentUsername() {
    return currentUser().getUsername();
  }

  public static String currentUserAccountId() {
    return String.valueOf(currentUser().getAttributes().get("accountId"));
  }

}
